summaryrefslogtreecommitdiff
path: root/Linux-PAM/xtests/tst-pam_access2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Linux-PAM/xtests/tst-pam_access2.sh')
-rwxr-xr-xLinux-PAM/xtests/tst-pam_access2.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/Linux-PAM/xtests/tst-pam_access2.sh b/Linux-PAM/xtests/tst-pam_access2.sh
new file mode 100755
index 00000000..c1b3c992
--- /dev/null
+++ b/Linux-PAM/xtests/tst-pam_access2.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+/usr/sbin/groupadd -p '!!' tstpamaccess
+/usr/sbin/useradd -p '!!' tstpamaccess
+./tst-pam_access2
+RET=$?
+/usr/sbin/userdel -r tstpamaccess 2> /dev/null
+/usr/sbin/groupdel tstpamaccess 2> /dev/null
+exit $RET